%define name fpc
%define version 1.0.4
%define release 2mdk
%define fpcversion 1.0.4
%define fpcdir /usr/lib/fpc/%{fpcversion}
%define docdir /usr/share/doc/fpc-%{fpcversion}
%define mandir /usr/share/man

%define builddocdir %{buildroot}%{docdir}
%define buildmandir %{buildroot}%{mandir}

Name: %{name}
Version: %{version}
Release: %{release}
ExclusiveArch: %{ix86}
Copyright: GPL
Group: Development/Other
Source: http://www.zeus.rug.ac.be/files/dist/Linux/%{name}-%{version}-src.tar.bz2
Summary: Free Pascal Compiler
Packager: Daouda Lo <daouda@mandrakesoft.com> 
URL: http://www.freepascal.org/
BuildRoot: /tmp/fpc-build
BuildRequires: fpc

%description	
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32bit
Pascal Compiler. It comes with fully TP 7.0 compatible run-time library.
Some extensions are added to the language, like function overloading. Shared
libraries can be linked. Basic Delphi support is already implemented (classes,
exceptions,ansistrings,RTTI). This package contains commandline compiler and
utils. Provided units are the runtime library (RTL), free component library
(FCL), gtk,ncurses,zlib, mysql,postgres,ibase bindings.

%prep
%setup -c

%build
NEWPP=`pwd`/compiler/ppc386
	make compiler_cycle
	make rtl_clean rtl_smart PP=${NEWPP}
	make fcl_smart PP=${NEWPP}
	make api_smart PP=${NEWPP}
	make packages_smart PP=${NEWPP}
	make utils_all PP=${NEWPP}

%install
NEWPP=`pwd`/compiler/ppc386
NEWPPUFILES=`pwd`/utils/ppufiles
INSTALLOPTS="PP=${NEWPP} PPUFILES=${NEWPPUFILES} PREFIXINSTALLDIR=%{buildroot}/usr"
	make compiler_install ${INSTALLOPTS}
	make rtl_install ${INSTALLOPTS}
	make fcl_install ${INSTALLOPTS}
	make api_install ${INSTALLOPTS}
	make packages_install ${INSTALLOPTS}
	make utils_install ${INSTALLOPTS}

	make fcl_exampleinstall ${INSTALLOPTS} DOCINSTALLDIR=%{builddocdir}
	make api_exampleinstall ${INSTALLOPTS} DOCINSTALLDIR=%{builddocdir}
	make packages_exampleinstall ${INSTALLOPTS} DOCINSTALLDIR=%{builddocdir}

	make demo_install ${INSTALLOPTS} SOURCEINSTALLDIR=%{builddocdir}
	make doc_install ${INSTALLOPTS} DOCINSTALLDIR=%{builddocdir}
	make man_install ${INSTALLOPTS} MANINSTALLDIR=%{buildmandir}
	
%clean
	make compiler_clean
	make rtl_clean
	make fcl_clean
	make api_clean
	make packages_clean
	make utils_clean

rm -rf $RPM_BUILD_ROOT
	
%post
FPCDIR=%{fpcdir}

# create link
ln -sf $FPCDIR/ppc386 /usr/bin/ppc386

# Create config
$FPCDIR/samplecfg $FPCDIR

# update ld.so cache
#ldconfig


%files
%defattr(-,root,root)
/usr/bin/*
%{fpcdir}
%{_libdir}/fpc/lexyacc/*
%{_mandir}/*/*
%doc doc/readme.txt doc/whatsnew.txt doc/copying doc/faq.htm doc/faq.txt

%changelog
* Tue May 22 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.0.4-2mdk
- Use ix86 macro in ExclusiveArch

* Sun Jan 07 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.4-1mdk
- new and shiny source.

* Sun Nov 19 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.2-1mdk
- first mandrake release
- add packager tag
- it is very weird that we didn't ship a pascal compiler in the past ;-)
  this language is widely used in universities (for teaching purpose)
  
